.black-text {
  color: #231F20;
}

.pearl-bg {
  background-color: #F9F4ED;
}

.pearl-bg2 {
  background-color: #Faf5ee !important;
}

.pearl-bg3 {
  background-color: #F3E3D8;
}

.dawn-pink-bg {
  background-color: #F2E2D7;
}

.light-pink-bg {
  background-color: #e1cdc0;
}

.light-pink-bg2 {
  background-color: #D7C3B6;
}

.white-bg {
  background-color: #ffffff;
}

.white-text {
  color: #ffffff;
}

.black-bg {
  background-color: #231F20;
}

.light-green-text {
  color: #00B81F;
}

.modal {
  position: fixed;
  height: 100%;
  width: 100%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 999;
  display: flex;
  align-items: center;
  right: auto;
  bottom: auto;
  justify-content: center;
  flex-direction: column;
}
.modal .modal-content {
  background: #FFFFFF 0% 0% no-repeat padding-box;
  box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.031372549);
  border: 1px solid #C2C2C2;
  border-radius: 10px;
  max-width: 70%;
  width: 100%;
  padding: 24px 0;
  margin: 0 auto;
  position: relative;
  z-index: 1;
}
.modal .mid-content {
  padding: 0 12px;
  max-height: 70vh;
  overflow: hidden;
  overflow-y: auto;
}
.modal .btn-close {
  position: absolute;
  right: 10px;
  top: 17px;
  padding: 0;
}
.modal .modal-header {
  border-bottom: 1px solid #C2C2C2;
  padding: 0 24px;
  margin-bottom: 12px;
  min-height: 34px;
}
.modal .modal-footer {
  padding: 24px 12px 0;
  border-top: 1px solid #C2C2C2;
}
.modal .modal-footer .button-group button + button {
  margin-left: 24px;
}

.modal-backdrop {
  position: fixed;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-align-items: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  right: 0;
  bottom: 0;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.8);
  -webkit-tap-highlight-color: transparent;
  z-index: -1;
}

.modal-open .modal-backdrop {
  opacity: 1;
  transition: opacity 225ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}

.modal-home-client-video {
  display: none;
}
.modal-home-client-video .modal-content {
  max-width: 85%;
  padding: 0;
  position: relative;
  border: none;
  box-shadow: none;
  background-color: transparent;
}
.modal-home-client-video .mid-content {
  padding: 80px;
  max-height: 100%;
  overflow: initial;
}
.modal-home-client-video .modal-header {
  margin-bottom: 0;
  min-height: auto;
  border: none;
}
.modal-home-client-video .modal-header .btn-close {
  top: 10px;
  z-index: 999;
  position: fixed;
  top: 15px;
  right: 15px;
  height: 28px;
  width: 28px;
  border-radius: 100%;
}
.modal-home-client-video .modal-header .btn-close img {
  max-width: 20px;
}
.modal-home-client-video .video-box {
  border-radius: 10px;
  overflow: hidden;
  position: relative;
  min-height: 200px;
  padding-bottom: 56.25%;
}
.modal-home-client-video .video-box video,
.modal-home-client-video .video-box iframe {
  object-fit: cover;
  position: absolute;
  top: 50%;
  left: 50%;
  height: 100%;
  width: 100%;
  transform: translate(-50%, -50%);
  border: none;
}

@media (max-width: 991px) {
  .modal-home-client-video .mid-content {
    padding: 40px;
  }
}
@media (max-width: 767px) {
  .modal-home-client-video .mid-content {
    padding: 0px;
  }
}
.modal-root {
  position: fixed;
  height: 100%;
  width: 100%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 999;
  display: flex;
  align-items: center;
  right: auto;
  bottom: auto;
  justify-content: center;
  flex-direction: column;
  letter-spacing: 0;
  display: none;
  opacity: 0;
  transition: opacity 0.5s ease;
}
.modal-root::before {
  content: "";
  display: block;
  height: 100%;
  width: 100%;
  background-color: rgba(35, 31, 32, 0.5);
  position: fixed;
  top: 0;
  left: 0;
}
.modal-root .content-wrap {
  padding-bottom: 60px;
}
.modal-root .content-wrap h1, .modal-root .content-wrap .thankYouMsg {
  font-size: 75px;
  line-height: 85px;
  margin-bottom: 30px;
  font-family: "Times";
  font-weight: 700;
}
.modal-root .content-wrap p {
  font-size: 20px;
  line-height: 35px;
  font-weight: 400;
}
.modal-root .modal-content {
  border: 1px solid #231F20;
  max-width: 60%;
  width: 100%;
  padding: 24px 0;
  margin: 0 auto;
  position: relative;
  background-color: #ffffff;
}
.modal-root .mid-content {
  padding: 0 12px;
}
.modal-root .btn-close {
  position: absolute;
  right: 12px;
  top: 10px;
  padding: 0;
  line-height: 0;
}
.modal-root .modal-header {
  border-bottom: 1px solid #C2C2C2;
  padding: 0 24px;
  margin-bottom: 12px;
  min-height: 34px;
}
.modal-root .modal-footer {
  padding: 24px 12px 0;
  border-top: 1px solid #C2C2C2;
}
.modal-root .modal-footer .button-group button + button {
  margin-left: 24px;
}

.modal-open {
  display: flex;
  opacity: 1;
}

.modal-contact-thank-you .modal-content {
  max-width: 960px;
  padding: 115px 0;
}
.modal-contact-thank-you .thank-you-content {
  max-width: 486px;
  margin: 0 auto;
}
.modal-contact-thank-you .thank-you-content .icon-wrap {
  margin-bottom: 18px;
}
.modal-contact-thank-you .thank-you-content p {
  font-weight: 300;
}
.modal-contact-thank-you .thank-you-content .links a {
  background-color: black;
  color: #ffffff;
  text-transform: initial;
  font-family: "Inter";
  font-weight: 700;
  font-size: 19px;
  line-height: 23px;
  letter-spacing: 0;
  text-decoration: none;
  width: 100%;
  min-height: 67px;
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 465px;
  margin: 0 auto;
}

@media (max-width: 1440px) {
  .modal-root .content-wrap p {
    font-size: 17px;
  }
  .modal-contact-thank-you .modal-content {
    padding: 75px 0;
  }
}
@media (max-width: 1099px) {
  .modal-root .content-wrap h1, .modal-root .content-wrap .thankYouMsg {
    font-size: 70px;
    line-height: 80px;
  }
  .modal-root .content-wrap p {
    font-size: 14px;
    line-height: 24px;
  }
}
@media (max-width: 1023px) {
  .modal-root .content-wrap {
    padding-bottom: 30px;
  }
  .modal-contact-thank-you .modal-content {
    padding: 60px 0;
    max-width: 728px;
  }
  .modal-contact-thank-you .thank-you-content .links a {
    font-size: 13px;
    line-height: 16px;
    min-height: 45px;
    max-width: 235px;
  }
}
@media (max-width: 767px) {
  .modal-root .btn-close {
    top: 6px;
    right: 6px;
    max-width: 32px;
  }
  .modal-root .content-wrap h1, .modal-root .content-wrap .thankYouMsg {
    font-size: 45px;
    line-height: 60px;
  }
  .modal-root .content-wrap p {
    line-height: 30px;
  }
  .modal-contact-thank-you .modal-content {
    max-width: 350px;
    padding: 30px 0;
  }
  .modal-contact-thank-you .content-wrap p {
    max-width: 200px;
    margin: 0 auto;
  }
  .modal-contact-thank-you .thank-you-content {
    padding: 0 20px;
  }
  .modal-contact-thank-you .thank-you-content .links a {
    max-width: 100%;
  }
  .modal-contact-thank-you .thank-you-content .icon-wrap {
    margin-bottom: 0;
  }
  .modal-contact-thank-you .thank-you-content .icon-wrap img {
    max-width: 45px;
  }
}
